com.foundationdb.sql.jdbc.util

## Class ServerErrorMessage

- java.lang.Object
- - com.foundationdb.sql.jdbc.util.ServerErrorMessage

All Implemented Interfaces:
  java.io.Serializable

    public class ServerErrorMessage
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServerErrorMessage(java.lang.String p_serverError, int verbosity)`

### Method Summary

Methods
`java.lang.String` `getColumn()`
`java.lang.String` `getConstraint()`
`java.lang.String` `getDatatype()`
`java.lang.String` `getDetail()`
`java.lang.String` `getFile()`
`java.lang.String` `getHint()`
`int` `getInternalPosition()`
`java.lang.String` `getInternalQuery()`
`int` `getLine()`
`java.lang.String` `getMessage()`
`int` `getPosition()`
`java.lang.String` `getRoutine()`
`java.lang.String` `getSchema()`
`java.lang.String` `getSeverity()`
`java.lang.String` `getSQLState()`
`java.lang.String` `getTable()`
`java.lang.String` `getWhere()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerErrorMessage

    public ServerErrorMessage(java.lang.String p_serverError,
                      int verbosity)

### Method Detail

#### getSQLState

    public java.lang.String getSQLState()

#### getMessage

    public java.lang.String getMessage()

#### getSeverity

    public java.lang.String getSeverity()

#### getDetail

    public java.lang.String getDetail()

#### getHint

    public java.lang.String getHint()

#### getPosition

    public int getPosition()

#### getWhere

    public java.lang.String getWhere()

#### getSchema

    public java.lang.String getSchema()

#### getTable

    public java.lang.String getTable()

#### getColumn

    public java.lang.String getColumn()

#### getDatatype

    public java.lang.String getDatatype()

#### getConstraint

    public java.lang.String getConstraint()

#### getFile

    public java.lang.String getFile()

#### getLine

    public int getLine()

#### getRoutine

    public java.lang.String getRoutine()

#### getInternalQuery

    public java.lang.String getInternalQuery()

#### getInternalPosition

    public int getInternalPosition()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`